image: google/cloud-sdk:latest
stages:
  - deploy_production
deploy_production:
  stage: deploy_production
  only:
    - main
  script:
    - echo $SERVICE_ACCOUNT > ${HOME}/gcloud-service-key.json
    - gcloud auth activate-service-account --key-file ${HOME}/gcloud-service-key.json
    - gcloud --quiet --project $PROJECT_ID functions deploy helloHttp --runtime=nodejs10 --trigger-http